cURL
curl -X POST https://api.bizmori.com/api/v2/orders/ORDER_ID/refresh-urls \
-H "Authorization: Bearer YOUR_API_TOKEN"const orderId = 'ORDER_ID';
const response = await fetch(
`https://api.bizmori.com/api/v2/orders/${orderId}/refresh-urls`,
{
method: 'POST',
headers: { 'Authorization': 'Bearer YOUR_API_TOKEN' }
}
);
const data = await response.json();import requests
order_id = 'ORDER_ID'
response = requests.post(
f'https://api.bizmori.com/api/v2/orders/{order_id}/refresh-urls',
headers={'Authorization': 'Bearer YOUR_API_TOKEN'}
)
data = response.json()
{
"data": {
"files": [
{
"fileId": "<string>",
"fileName": "<string>",
"uploadUrl": "<string>",
"fileKey": "<string>"
}
]
}
}{
"code": "AUTH_NOT_AUTHENTICATED"
}{
"code": "RESOURCE_NOT_FOUND"
}Orders
Refresh presigned URLs
Reissue expired upload URLs.
- Only available for orders with
pendingstatus
POST
/
api
/
v2
/
orders
/
{orderId}
/
refresh-urls
cURL
curl -X POST https://api.bizmori.com/api/v2/orders/ORDER_ID/refresh-urls \
-H "Authorization: Bearer YOUR_API_TOKEN"const orderId = 'ORDER_ID';
const response = await fetch(
`https://api.bizmori.com/api/v2/orders/${orderId}/refresh-urls`,
{
method: 'POST',
headers: { 'Authorization': 'Bearer YOUR_API_TOKEN' }
}
);
const data = await response.json();import requests
order_id = 'ORDER_ID'
response = requests.post(
f'https://api.bizmori.com/api/v2/orders/{order_id}/refresh-urls',
headers={'Authorization': 'Bearer YOUR_API_TOKEN'}
)
data = response.json()
{
"data": {
"files": [
{
"fileId": "<string>",
"fileName": "<string>",
"uploadUrl": "<string>",
"fileKey": "<string>"
}
]
}
}{
"code": "AUTH_NOT_AUTHENTICATED"
}{
"code": "RESOURCE_NOT_FOUND"
}Authorizations
API Key for external client access
Path Parameters
Order ID
⌘I